Subject: Re: Cygwin and zsh...
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 08 Jul 2005 11:49:29 +0900 (JST)

From: "Peter A. Castro" <doctor -at-fruitbat.org>
Date: Thu, 7 Jul 2005 16:23:50 -0700 (PDT)
::On Thu, 7 Jul 2005, Spack wrote:
::
::> I've tried to change the default shell (bash) to zsh by changing the
::> appropriated line in the /etc/passwd file but when I reload cygwin I'm
::> always on bash. How can I change the default shell ?
::
::The stock startup script (cygwin.bat) has bash hardcoded in it, so if
::you're starting it from the icon, that's why.  If you're starting it from
::some other method, well, you'll have to give a little more info on that
::first (my mind reading skills are a little rusty :)
::
::You can create zsh icons using the mkzsh command, if you don't want to
::modify the stock Cywin script.  Run mkzsh to get a list of options, then
::run it again with options to create zsh scripts.  Of course, you can
::simply copy cygwin.bat and modify that to your hearts content.

Hi,

I also use zsh as my main shell on cygwin.
I usally use chere package, distributed with cygwin packages, or
just create a shortcut from [cygwin_dir]/bin/zsh.exe on my desktop.

Hope this helps,
 Haro
=-----------------------------------------------------------------------
           _ _    Munehiro (haro) Matsuda
 -|- /_\  |_|_|   KGT Inc.
 /|\ |_|  |_|_|   2-8-8 Shinjuku, Shinjuku-ku Tokyo 160-0022, Japan
                  Tel: +81-3-3225-0767  Fax: +81-3-3225-0740

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/